<template>
    <el-dialog title="更新日志"  :visible.sync="dialogVisible" width="700px" :before-close="handleClose">
        <div style="">
            <div style="background: white;padding: 10px;" v-html="html"></div>
        </div>
    </el-dialog>
    
</template>
  
  <script>
  
  export default {
    data() {
      return {
        html: '',
        dialogVisible:false
      }
    },
    watch: {
    },
    mounted() { 
    },
    methods: {
        open(){
            this.dialogVisible  =true
            this.fetchHtmlFile()
        },
        handleClose(){
            this.dialogVisible  =false
        },
      async fetchHtmlFile() {
        await fetch('/updateLog.html').then(res => res.text()  ).then(data => {
            console.log(data)
          this.html = data     
        })
      },
    },
  }
  </script>
  
  <style scoped></style>